package com.uas.platform.b2b.erp.model;


import com.uas.platform.b2b.model.BarLabel;
import com.uas.platform.b2b.model.BarLabelPrintSetting;


/**
 * b2b LabelPrintSetting模型
 * @author aof
 * @date 2015年10月29日
 */
public class LabelPrintSetting {
	
	private Long lps_laid;
	private String lps_lacode;
	private String lps_caller;
	private String lps_sql;
	private String lps_laname;


	public Long getLps_laid() {
		return lps_laid;
	}


	public void setLps_laid(Long lps_laid) {
		this.lps_laid = lps_laid;
	}


	public String getLps_lacode() {
		return lps_lacode;
	}


	public void setLps_lacode(String lps_lacode) {
		this.lps_lacode = lps_lacode;
	}


	public String getLps_caller() {
		return lps_caller;
	}


	public void setLps_caller(String lps_caller) {
		this.lps_caller = lps_caller;
	}


	public String getLps_sql() {
		return lps_sql;
	}


	public void setLps_sql(String lps_sql) {
		this.lps_sql = lps_sql;
	}


	public String getLps_laname() {
		return lps_laname;
	}


	public void setLps_laname(String lps_laname) {
		this.lps_laname = lps_laname;
	}


	public BarLabelPrintSetting convent() {
		BarLabelPrintSetting barLPSeting= new BarLabelPrintSetting();
		BarLabel label = new BarLabel();
		label.setId(this.lps_laid);
		barLPSeting.setLabel(label);
		barLPSeting.setLaname(this.lps_laname);
		barLPSeting.setCaller(this.lps_caller);
		barLPSeting.setLacode(this.lps_lacode);
		barLPSeting.setSql(this.lps_sql);
		return barLPSeting;
	}

	
}
